# basic info
name: PermissionsBukkit
main: com.platymuus.bukkit.permissions.PermissionsPlugin
author: SpaceManiac
website: http://dev.bukkit.org/server-mods/permbukkit/
version: ${version}

# commands
commands:
  permissions:
    aliases: [ perms, perm ]
    description: Commands for manipulating permissions.
    usage: |
        /<command> reload - reload the configuration from disk.
        /<command> check <node> [player] - check if a player or the sender has a permission (any plugin).
        /<command> info <node> - prints information on a specific permission.
        /<command> dump [player] [page] - prints info about a player's (or the sender's) permissions.
        /<command> setrank <player> <group> - set a player to be in a group with per-group permissions.
        /<command> group - list group-related commands.
        /<command> group list - list all groups.
        /<command> group players <group> - list players in a group.
        /<command> group setperm <group> <[world:]node> [true|false] - set a permission on a group.
        /<command> group unsetperm <group> <[world:]node> - unset a permission on a group.
        /<command> player - list player-related commands.
        /<command> player groups <player> - list groups a player is in.
        /<command> player setgroup <player> <group,...> - set a player to be in only the given groups.
        /<command> player addgroup <player> <group> - add a player to a group.
        /<command> player removegroup <player> <group> - remove a player from a group.
        /<command> player setperm <player> <[world:]node> [true|false] - set a permission on a player.
        /<command> player unsetperm <player> <[world:]node> - unset a permission on a player.

# permissions
permissions:
  permissions.*:
    default: op
    description: Allows use of all PermissionsBukkit administration commands.
    children:
      permissions.help: true
      permissions.reload: true
      permissions.check: true
      permissions.info: true
      permissions.dump: true
      permissions.setrank: true
      permissions.group.*: true
      permissions.player.*: true
  permissions.build:
    description: Allows player to build.
    default: true
  permissions.help:
    description: Allows viewing of usage for /permissions.
  permissions.reload:
    description: Allows use of /permissions reload.
  permissions.check:
    description: Allows use of /permissions check.
  permissions.info:
    description: Allows use of /permissions info.
  permissions.dump:
    description: Allows use of /permissions dump.
  permissions.setrank:
    description: Allows use of /permissions setrank (also requires per-group permissions).
  permissions.group.*:
    description: Allows use of all /permissions group commands.
    children:
      permissions.group.help: true
      permissions.group.list: true
      permissions.group.players: true
      permissions.group.setperm: true
      permissions.group.unsetperm: true
  permissions.group.help:
    description: Allows viewing of usage for /permissions group.
  permissions.group.list:
    description: Allows use of /permissions group list.
  permissions.group.players:
    description: Allows use of /permissions group players.
  permissions.group.setperm:
    description: Allows use of /permissions group setperm.
  permissions.group.unsetperm:
    description: Allows use of /permissions group unsetperm.
  permissions.player.*:
    description: Allows use of all /permissions player commands.
    children:
      permissions.player.help: true
      permissions.player.groups: true
      permissions.player.setgroup: true
      permissions.player.addgroup: true
      permissions.player.removegroup: true
      permissions.player.setperm: true
      permissions.player.unsetperm: true
  permissions.player.help:
    description: Allows viewing of usage for /permissions player.
  permissions.player.groups:
    description: Allows use of /permissions player groups.
  permissions.player.setgroup:
    description: Allows use of /permissions player setgroup.
  permissions.player.addgroup:
    description: Allows use of /permissions player addgroup.
  permissions.player.removegroup:
    description: Allows use of /permissions player removegroup.
  permissions.player.setperm:
    description: Allows use of /permissions player setperm.
  permissions.player.unsetperm:
    description: Allows use of /permissions player unsetperm.

# for PhonicUK, a cool guy who doesn't afraid of anything
MCMAPluginID: D6AF3772-E6F6-4467-8F3A-1E9DB74C7E50
